Bug 444806 - Focus offset by one tab on "scale to new size popup"
Summary: Focus offset by one tab on "scale to new size popup"
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: 5.0.0-beta2
Platform: macOS (DMG) macOS
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-02 06:07 UTC by Manga Tengu
Modified: 2021-11-10 08:15 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Manga Tengu 2021-11-02 06:07:50 UTC
When you up the "scale to new size popup" (cmd alt i) the focus is not put on the width but on some useless feature of the popup. You need to tab once to get the focus right. I thought this was normal until I realize it's done correctly on linux (you have direct focus on width input).

To reproduce pop up the "scale to new size popup" (cmd alt i) and try to enter numbers directly => fail
Then hit tab and enter numbers => success
On linux, no need to tab first.
Comment 1 Halla Rempt 2021-11-10 08:15:08 UTC
Git commit 4588d993baad1c66af5e7b7c1c24f626ed9c70e4 by Halla Rempt.
Committed on 10/11/2021 at 08:13.
Pushed by rempt into branch 'master'.

Set focus on the first widget in the dialog instead of the ok button
Related: bug 445250

M  +2    -0    libs/ui/imagesize/dlg_imagesize.cc

https://invent.kde.org/graphics/krita/commit/4588d993baad1c66af5e7b7c1c24f626ed9c70e4
Comment 2 Halla Rempt 2021-11-10 08:15:17 UTC
Git commit 3b5eb4e6a3845907f782239cd60f5e09a32ae42a by Halla Rempt.
Committed on 10/11/2021 at 08:15.
Pushed by rempt into branch 'krita/5.0'.

Set focus on the first widget in the dialog instead of the ok button
Related: bug 445250
(cherry picked from commit 4588d993baad1c66af5e7b7c1c24f626ed9c70e4)

M  +2    -0    libs/ui/imagesize/dlg_imagesize.cc

https://invent.kde.org/graphics/krita/commit/3b5eb4e6a3845907f782239cd60f5e09a32ae42a